Bug 247587 - www/py-django-datetime-widget: Deprecate/Set to expire
Summary: www/py-django-datetime-widget: Deprecate/Set to expire
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://github.com/asaglimbeni/django...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-06-27 13:31 UTC by Kai Knoblich
Modified: 2020-06-29 16:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
deprecate-py-django-datetime-widget.patch (553 bytes, patch)
2020-06-27 13:31 UTC, Kai Knoblich
kai: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-06-27 13:31:03 UTC
Created attachment 215984 [details]
deprecate-py-django-datetime-widget.patch

Hi Sunpoet,

the attached patch deprecates www/py-django-datetime-widget and sets an expiration date for it because the package isn't compatible with Django 2.1+ (see also issue #109).
Comment 1 commit-hook freebsd_committer 2020-06-29 16:17:34 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Jun 29 16:16:58 UTC 2020
New revision: 540804
URL: https://svnweb.freebsd.org/changeset/ports/540804

Log:
  Mark DEPRECATED and set EXPIRATION_DATE to 2020-07-15

  PR:		247587
  Submitted by:	kai

Changes:
  head/www/py-django-datetime-widget/Makefile
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-29 16:18:16 UTC
Committed. Thanks!